var clover = new Object();

// JSON: {classes : [{name, id, sl, el,  methods : [{sl, el}, ...]}, ...]}
clover.pageData = {"classes":[{"el":141,"id":9529,"methods":[{"el":50,"sc":5,"sl":48},{"el":54,"sc":5,"sl":52},{"el":71,"sc":5,"sl":56},{"el":94,"sc":5,"sl":73},{"el":113,"sc":5,"sl":96},{"el":139,"sc":5,"sl":115}],"name":"TestIdentityEncoder","sl":46}]}

// JSON: {test_ID : {"methods": [ID1, ID2, ID3...], "name" : "testXXX() void"}, ...};
clover.testTargets = {"test_119":{"methods":[{"sl":48},{"sl":52},{"sl":96}],"name":"testCodingCompleted","pass":true,"statements":[{"sl":49},{"sl":53},{"sl":98},{"sl":99},{"sl":100},{"sl":101},{"sl":103},{"sl":104},{"sl":105},{"sl":107},{"sl":108}]},"test_154":{"methods":[{"sl":52},{"sl":115}],"name":"testInvalidConstructor","pass":true,"statements":[{"sl":53},{"sl":117},{"sl":118},{"sl":119},{"sl":121},{"sl":122},{"sl":127},{"sl":128},{"sl":133},{"sl":134}]},"test_236":{"methods":[{"sl":48},{"sl":52},{"sl":56}],"name":"testBasicCoding","pass":true,"statements":[{"sl":49},{"sl":53},{"sl":58},{"sl":59},{"sl":60},{"sl":61},{"sl":63},{"sl":64},{"sl":65},{"sl":67},{"sl":69},{"sl":70}]},"test_338":{"methods":[{"sl":48},{"sl":52},{"sl":73}],"name":"testCodingEmptyBuffer","pass":true,"statements":[{"sl":49},{"sl":53},{"sl":75},{"sl":76},{"sl":77},{"sl":78},{"sl":80},{"sl":81},{"sl":83},{"sl":84},{"sl":85},{"sl":86},{"sl":88},{"sl":90},{"sl":92},{"sl":93}]}}

// JSON: { lines : [{tests : [testid1, testid2, testid3, ...]}, ...]};
clover.srcFileLines = [[], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [119, 338, 236], [119, 338, 236], [], [], [119, 338, 236, 154], [119, 338, 236, 154], [], [], [236], [], [236], [236], [236], [236], [], [236], [236], [236], [], [236], [], [236], [236], [], [], [338], [], [338], [338], [338], [338], [], [338], [338], [], [338], [338], [338], [338], [], [338], [], [338], [], [338], [338], [], [], [119], [], [119], [119], [119], [119], [], [119], [119], [119], [], [119], [119], [], [], [], [], [], [], [154], [], [154], [154], [154], [], [154], [154], [], [], [], [], [154], [154], [], [], [], [], [154], [154], [], [], [], [], [], [], []]
